Bug 194915 - [PATCH] devel/monodevelop: update to 5.5
Summary: [PATCH] devel/monodevelop: update to 5.5
Status: Closed Overcome By Events
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: Normal Affects Some People
Assignee: freebsd-mono mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-09 19:53 UTC by Sergey Brunov
Modified: 2016-12-04 16:27 UTC (History)
3 users (show)

See Also:
sergey.v.brunov: maintainer-feedback+


Attachments
The modified version of port directory. (21.84 KB, application/gzip)
2014-11-09 19:53 UTC, Sergey Brunov
no flags Details
The updated port. (5.57 KB, application/x-compressed-tar)
2014-12-19 20:31 UTC, Sergey Brunov
no flags Details
WIP ports for nuget and referenceassemblies-pcl (78.93 KB, text/plain)
2016-03-24 23:33 UTC, Romain Tartière
no flags Details
Patch against git repository to build with gtk-sharp30 installed. (1.42 KB, patch)
2016-07-11 13:02 UTC, Romain Tartière
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sergey Brunov 2014-11-09 19:53:19 UTC
Created attachment 149231 [details]
The modified version of port directory.

Hello!

Trying to update MonoDevelop to more recent version.
Having problems with NUnit compilation (please see pkg-plist.new file).

Can someone assist to complete the port update?
This link seems to be useful: https://bugzilla.xamarin.com/show_bug.cgi?id=23696.

The attachment is not a patch, but the modified version of port directory.

Best regards,
Sergey Brunov.
Comment 1 Bugzilla Automation freebsd_committer 2014-11-09 19:53:19 UTC
Auto-assigned to maintainer mono@FreeBSD.org
Comment 2 Sergey Brunov 2014-12-19 20:30:35 UTC
Hello!

I have successfully updated the port to 5.5.4.15 version recently.
But the distfile from the URL (http://download.lbs.solidcharity.com/tarballs/tpokorra/mono/monodevelop-5.5.4.15.tar.bz2) has been used.

Please see the attached file (monodevelop_5.5.4.15.tgz).
Comment 3 Sergey Brunov 2014-12-19 20:31:18 UTC
Created attachment 150789 [details]
The updated port.

The updated port.
Comment 4 Sergey Brunov 2014-12-19 20:38:36 UTC
By the way, it seems Monodevelop is released using GitHub: https://github.com/mono/monodevelop/releases.
So, it would be better to update the port to use GitHub releases.
Comment 5 John Marino freebsd_committer 2016-03-13 13:03:28 UTC
mono@, 
technically this PR timed out, long ago.  It can be committed by anyone at anytime legally.

Are you sure you don't want to respond to this PR?
Comment 6 John Marino freebsd_committer 2016-03-13 13:04:21 UTC
hmm, I thought this was Dec 2015, but it was Dec 2014!

What's the delay?  It doesn't work with Mono 4 or what?
Comment 7 Romain Tartière freebsd_committer 2016-03-13 23:06:20 UTC
(In reply to John Marino from comment #5)

Hi!

I recently could compile and run monodevelop from Github, but this required creating two ports for dependencies I could not manage to build on FreeBSD (Nuget, and referenceassemblies-pcl).

Looks like a really bad idea as far as I am concerned :-(
Comment 8 Sergey Brunov 2016-03-24 19:26:55 UTC
(In reply to Romain Tartière from comment #7)
Hello, Romain!

Could you please post the «draft» version of the port?
It would be great to take a look at it.

Best regards,
Sergey Brunov.
Comment 9 lenzi.sergio 2016-03-24 22:01:33 UTC
(In reply to sergey.v.brunov from comment #8)
Hello Romain,

I am waiting too for the "draft" of the port
Comment 10 Romain Tartière freebsd_committer 2016-03-24 23:33:00 UTC
Created attachment 168589 [details]
WIP ports for nuget and referenceassemblies-pcl
Comment 11 Romain Tartière freebsd_committer 2016-03-24 23:33:43 UTC
Shar file attached.  Close since port was removed.
Comment 12 John Marino freebsd_committer 2016-03-25 15:02:09 UTC
(In reply to Romain Tartière from comment #11)

"Close since port was removed."

I don't understand.  What port was removed?  Monodevelop is still in the tree. (Broken and scheduled for deletion, but it can still be saved)
Comment 13 Romain Tartière freebsd_committer 2016-03-26 12:15:13 UTC
Oops, triggered too fast!
Comment 14 Sergey Brunov 2016-07-11 12:18:39 UTC
Hello, All!

Let's try to update MonoDevelop to the stable version — 5.10.1?

Best regards,
Sergey Brunov.
Comment 15 Romain Tartière freebsd_committer 2016-07-11 13:02:05 UTC
Created attachment 172377 [details]
Patch against git repository to build with gtk-sharp30 installed.

Hi!

FWI, I could build a fresh MonoDevelop (from git's master at 1dc0ed993f9a6476544bfebe6be4162c8f6fad7c) with only this tiny patch so that F# does not use gtk-sharp30 but the older gtk-sharp20.
Comment 16 Sergey Brunov 2016-08-26 09:34:23 UTC
(In reply to Romain Tartière from comment #15)
Hello, Romain!

Could you please introduce the appropriate changes into the port tree?

Best regards,
Sergey Brunov.
Comment 17 Sergey Brunov 2016-12-04 16:27:06 UTC
Hello!

MonoDevelop 6.1.2.44 is already in the ports tree.
The case has been closed.

Best regards,
Sergey Brunov.